INNCONFVAL(1)

NAME
innconfval - get an InterNetNews configuration parameter

SYNOPSIS
innconfval [ -c ] [ -f ] [ -i path_to_innconf ] [ -p ] [ -s ] [ -t ] [ -v ] [ parameter... ]

DESCRIPTION
Innconfval prints the values of the parameters specified on the command line. Values are retrieved from the inn.conf(5) file and are described there except for ``version''. ``Version'' cannot be set at inn.conf(5) and retrieved from INNVersion() in libinn(3). If no parameters are specified, all the values are printed on separate lines. This is most useful with the other options for setting up assignment of variables.

OPTIONS

-c  Print values as csh set commands

-f  Values are retrieved by using the GetFileConfigValue if the ``-f'' flag is used. Otherwise the GetConfigValue routine is used. Both are described in libinn(3).

-i  Values are read from the specified file. This overrides the compile time default for inn.conf(5)

-p  Print values as perl assignment commands

-s  Print values as shell set commands

-t  Print values as tcl assignment commands

-v  Print inn version

HISTORY
Written by Rich $alz <rsalz@uunet.uu.net> for InterNetNews.

SEE ALSO
libinn(3), inn.conf(5).